select
  an.numero as numero_embriao
  , (case an.embriaoqualidade when 1 then 'Degenerado' when 2 then 'Ruim' when 3 then 'Regular' when 4 then 'Bom' when 5 then 'Excelente' else null end) as embriao_qualidade
  , ec.descricao as embriao_classificao
  , mae.numero as numero_mae
  , mae.nome as nome_mae
  , pai.numero as pai
  , pai.nome as nome_pai
  , col.codigo as codigo_coleta
  , col.datacoleta as data_coleta
from
  animal an
  left join animal mae on mae.cdanimal = an.cdmae
  left join animal pai on pai.cdanimal = an.cdpai
  left join coleta col on col.cdcoleta = an.cdcoleta
  left join embriaoclassificacao ec on ec.cdembriaoclassificacao = an.cdembriaoclassificacao
  
where
  an.tipoanimal = 'E'
  and an.dtbaixa is null
order by
  an.numero